{
  "name": "aastu-co-front-admin",
  "description": "Connecting AASTU graduates with partnered companies.",
  "version": "0.0.0",
  "repository": "git@gitlab.com:kelal/aastu/ic/aastu-co.git",
  "author": "Kaleab Melkie <kaleabmelkie@gmail.com>",
  "license": "UNLICENSED",
  "private": false,
  "dependencies": {
    "autoprefixer": "7.1.6",
    "axios": "^0.18.0",
    "babel-core": "6.26.0",
    "babel-eslint": "7.2.3",
    "babel-jest": "20.0.3",
    "babel-loader": "7.1.2",
    "babel-preset-react-app": "^3.1.1",
    "babel-runtime": "6.26.0",
    "case-sensitive-paths-webpack-plugin": "2.1.1",
    "chalk": "1.1.3",
    "css-loader": "0.28.7",
    "dotenv": "4.0.0",
    "dotenv-expand": "4.2.0",
    "eslint": "4.10.0",
    "eslint-config-react-app": "^2.1.0",
    "eslint-loader": "1.9.0",
    "eslint-plugin-flowtype": "2.39.1",
    "eslint-plugin-import": "2.8.0",
    "eslint-plugin-jsx-a11y": "5.1.1",
    "eslint-plugin-react": "7.4.0",
    "extract-text-webpack-plugin": "3.0.2",
    "file-loader": "1.1.5",
    "flow-bin": "^0.69.0",
    "fs-extra": "3.0.1",
    "html-webpack-plugin": "2.29.0",
    "husky": "^0.14.3",
    "jest": "20.0.4",
    "node-sass": "^4.8.3",
    "object-assign": "4.1.1",
    "postcss-flexbugs-fixes": "3.2.0",
    "postcss-loader": "2.0.8",
    "prettier": "^1.11.1",
    "pretty-quick": "^1.4.1",
    "promise": "8.0.1",
    "qs": "^6.5.1",
    "raf": "3.4.0",
    "react": "^16.3.1",
    "react-dev-utils": "^5.0.1",
    "react-dom": "^16.3.1",
    "react-fastclick": "^3.0.2",
    "react-fontawesome": "^1.6.1",
    "react-loadable": "^5.3.1",
    "react-router-dom": "^4.2.2",
    "resolve": "1.6.0",
    "sass-loader": "^6.0.7",
    "style-loader": "0.19.0",
    "sw-precache-webpack-plugin": "0.11.4",
    "url-loader": "0.6.2",
    "webpack": "3.8.1",
    "webpack-dev-server": "2.9.4",
    "webpack-manifest-plugin": "1.3.2",
    "whatwg-fetch": "2.0.3"
  },
  "scripts": {
    "start": "node scripts/start.js",
    "build": "node scripts/build.js",
    "test": "node scripts/test.js --env=jsdom",
    "flow": "flow",
    "lint": "prettier src/**/*.{js,jsx,ts,tsx,css,less,scss,json,md} --write",
    "precommit": "pretty-quick --staged"
  },
  "jest": {
    "collectCoverageFrom": ["src/**/*.{js,jsx,mjs}"],
    "setupFiles": ["<rootDir>/config/polyfills.js"],
    "testMatch": [
      "<rootDir>/src/**/__tests__/**/*.{js,jsx,mjs}",
      "<rootDir>/src/**/?(*.)(spec|test).{js,jsx,mjs}"
    ],
    "testEnvironment": "node",
    "testURL": "http://localhost",
    "transform": {
      "^.+\\.(js|jsx|mjs)$": "<rootDir>/node_modules/babel-jest",
      "^.+\\.css$": "<rootDir>/config/jest/cssTransform.js",
      "^(?!.*\\.(js|jsx|mjs|css|json)$)":
        "<rootDir>/config/jest/fileTransform.js"
    },
    "transformIgnorePatterns": ["[/\\\\]node_modules[/\\\\].+\\.(js|jsx|mjs)$"],
    "moduleNameMapper": {
      "^react-native$": "react-native-web"
    },
    "moduleFileExtensions": [
      "web.js",
      "js",
      "json",
      "web.jsx",
      "jsx",
      "node",
      "mjs"
    ]
  },
  "babel": {
    "presets": ["react-app"]
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "proxy": "http://localhost:1111"
}
